"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _lodash = require("lodash");

var _lodash2 = _interopRequireDefault(_lodash);

var _setup = require("./../setup");

var _apkDownloader = require("./apkDownloader");

var apkDownloadState = {
  INITIAL: "initial",
  DOWNLOADING: "downloading",
  DOWNLOADED: "downloaded"
};

exports.apkDownloadState = apkDownloadState;
var apkInstallState = {
  NOT_INSTALLED: "notInstalled",
  NEEDS_UPDATE: "needsUpdate",
  INSTALLING: "installing",
  INSTALLED: "installed"
};

exports.apkInstallState = apkInstallState;

var App = (function () {
  /* jscs:enable disallowSemicolons */

  function App(device, appConfig, installedVersion) {
    _classCallCheck(this, App);

    this.device = device;
    this.appConfig = appConfig;

    this.installedVersion = installedVersion;
    this.apkInstallState = this.determineApkInstallState();

    this.apkDownloadState = apkDownloadState.INITIAL;
  }

  _createClass(App, [{
    key: "determineApkInstallState",
    value: function determineApkInstallState() {
      if (this.installedVersion) {
        if (this.needsUpdate()) {
          return apkInstallState.NEEDS_UPDATE;
        }

        return apkInstallState.INSTALLED;
      } else {
        return apkInstallState.NOT_INSTALLED;
      }
    }
  }, {
    key: "needsUpdate",
    value: function needsUpdate() {
      var versionCode = _lodash2["default"].get(this.installedVersion, "versionCode", "-1");
      return parseInt(this.appConfig.version) > parseInt(versionCode);
    }
  }, {
    key: "deploy",
    value: function deploy() {
      var _this = this;

      return this.startApkDownload().then(function (filepath) {
        return _this.installApk(filepath);
      });
    }
  }, {
    key: "startApkDownload",
    value: function startApkDownload() {
      var _this2 = this;

      this.apkDownloadState = apkDownloadState.DOWNLOADING;
      return (0, _apkDownloader.getApk)(this.appConfig).then(function (filepath) {
        _this2.apkDownloadState = apkDownloadState.DOWNLOADED;
        return filepath;
      });
    }
  }, {
    key: "installApk",
    value: function installApk(filepath) {
      var _this3 = this;

      this.apkInstallState = apkInstallState.INSTALLING;
      return _setup.adb.uninstall(this.device.id, this.appConfig.bundleIdentifier).then(function () {
        return _setup.adb.install(_this3.device.id, filepath);
      }).then(function () {
        _this3.apkInstallState = apkInstallState.INSTALLED;
      });
    }
  }]);

  return App;
})();

exports["default"] = App;

/* jscs:disable disallowSemicolons */
//# sourceMappingURL=app.js.map