"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.printAppConfigs = printAppConfigs;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _colorsSafe = require("colors/safe");

var _colorsSafe2 = _interopRequireDefault(_colorsSafe);

var _textTable = require("text-table");

var _textTable2 = _interopRequireDefault(_textTable);

var _setup = require("./../setup");

function printAppConfigs(appConfigs) {
  var header = _colorsSafe2["default"].underline("Android AppConfigs found for release type: " + _setup.releaseType);

  var printableRows = appConfigs.map(function (appConfig) {
    return createPrintableRow(appConfig);
  });

  console.log(header + "\n" + (0, _textTable2["default"])(printableRows) + "\n");
  return appConfigs;
}

function createPrintableRow(appConfig) {
  return [_colorsSafe2["default"].green(appConfig.title), appConfig.bundleIdentifier, appConfig.shortVersion, appConfig.version];
}
//# sourceMappingURL=appConfigPrinter.js.map