"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.informUser = informUser;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _lodash = require("lodash");

var _lodash2 = _interopRequireDefault(_lodash);

var _ansiEscapes = require("ansi-escapes");

var _ansiEscapes2 = _interopRequireDefault(_ansiEscapes);

var _bluebird = require("bluebird");

var _bluebird2 = _interopRequireDefault(_bluebird);

var _logUpdate = require("log-update");

var _logUpdate2 = _interopRequireDefault(_logUpdate);

var _read = require("read");

var _read2 = _interopRequireDefault(_read);

var _yn = require("yn");

var _yn2 = _interopRequireDefault(_yn);

var _app = require("./app");

var _app2 = _interopRequireDefault(_app);

var _appCreator = require("./app/creator");

var _appPrinter = require("./app/printer");

var readAsync = _bluebird2["default"].promisify(_read2["default"]);

function informUser(apps) {
  (0, _logUpdate2["default"])((0, _appPrinter.describeApps)(apps));

  if (_lodash2["default"].isEmpty((0, _appCreator.filterDeployableApps)(apps))) {
    console.log("All Apps up-to-date");
    process.exit();
  }

  return confirmApps(apps);
}

function confirmApps(apps) {
  return readAsync({ prompt: "apply changes (y/N)?" }).then(function (response) {
    process.stdout.write(_ansiEscapes2["default"].eraseLines(2));
    if ((0, _yn2["default"])(response)) {
      return apps;
    }
  });
}
//# sourceMappingURL=informUser.js.map