#! /usr/bin/env node
"use strict";

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _util = require("util");

var _util2 = _interopRequireDefault(_util);

var _hockeyApp = require("./hockeyApp");

var hockeyApp = _interopRequireWildcard(_hockeyApp);

var _appCreator = require("./app/creator");

var _printer = require("./printer");

var _appPrinter = require("./app/printer");

var _informUser = require("./informUser");

var _device = require("./device");

Promise.all([(0, _device.getDevices)(), hockeyApp.getAppConfigs()]).then(_appCreator.createAllAppsForDevices).then(_informUser.informUser).then(function (apps) {
  var deployableApps = (0, _appCreator.filterDeployableApps)(apps);
  (0, _printer.showDescription)(function () {
    return (0, _appPrinter.describeApps)(apps);
  }, deployApps(deployableApps));
})["catch"](function (error) {
  console.log("Error: " + _util2["default"].inspect(error));
});

function deployApps(deployableApps) {
  var deploy = deployableApps.map(function (deployableApp) {
    return deployableApp.deploy();
  });
  return Promise.all(deploy);
}
//# sourceMappingURL=main.js.map